> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Alert

> Updates an existing alert



## OpenAPI

````yaml /_specs/hyperdx-openapi.json put /api/v2/alerts/{id}
openapi: 3.0.0
info:
  title: HyperDX External API
  description: API for managing HyperDX alerts and dashboards
  version: 2.0.0
servers:
  - url: https://api.hyperdx.io
    description: Production API server
  - url: /
    description: Current server
security:
  - BearerAuth: []
tags:
  - name: Dashboards
    description: Endpoints for managing dashboards and their visualizations
  - name: Alerts
    description: Endpoints for managing monitoring alerts
paths:
  /api/v2/alerts/{id}:
    put:
      tags:
        - Alerts
      summary: Update Alert
      description: Updates an existing alert
      operationId: updateAlert
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Alert ID
          example: 65f5e4a3b9e77c001a123456
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAlertRequest'
            examples:
              updateAlert:
                summary: Update alert properties
                value:
                  threshold: 500
                  interval: 1h
                  thresholdType: above
                  source: tile
                  dashboardId: 65f5e4a3b9e77c001a567890
                  tileId: 65f5e4a3b9e77c001a901234
                  channel:
                    type: webhook
                    webhookId: 65f5e4a3b9e77c001a789012
                  name: Updated Alert Name
                  message: Updated threshold and interval
      responses:
        '200':
          description: Successfully updated alert
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlertResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Alert not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Server error or validation failure
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateAlertRequest:
      type: object
      properties:
        threshold:
          type: number
          example: 500
        interval:
          type: string
          example: 1h
        thresholdType:
          type: string
          enum:
            - above
            - below
          example: above
        source:
          type: string
          enum:
            - tile
            - search
          example: tile
        dashboardId:
          type: string
          example: 65f5e4a3b9e77c001a567890
        tileId:
          type: string
          example: 65f5e4a3b9e77c001a901234
        channel:
          type: object
          properties:
            type:
              type: string
              example: webhook
            webhookId:
              type: string
              example: 65f5e4a3b9e77c001a789012
        name:
          type: string
          example: Updated Alert Name
        message:
          type: string
          example: Updated message
    AlertResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Alert'
    Error:
      type: object
      properties:
        message:
          type: string
    Alert:
      type: object
      properties:
        id:
          type: string
          example: 65f5e4a3b9e77c001a123456
        name:
          type: string
          example: High Error Rate
        message:
          type: string
          example: Error rate exceeds threshold
        threshold:
          type: number
          example: 100
        interval:
          type: string
          example: 15m
        thresholdType:
          type: string
          enum:
            - above
            - below
          example: above
        source:
          type: string
          enum:
            - tile
            - search
          example: tile
        state:
          type: string
          example: inactive
        channel:
          type: object
          properties:
            type:
              type: string
              example: webhook
            webhookId:
              type: string
              example: 65f5e4a3b9e77c001a789012
        team:
          type: string
          example: 65f5e4a3b9e77c001a345678
        tileId:
          type: string
          example: 65f5e4a3b9e77c001a901234
        dashboard:
          type: string
          example: 65f5e4a3b9e77c001a567890
        savedSearch:
          type: string
          nullable: true
        groupBy:
          type: string
          nullable: true
        silenced:
          type: boolean
          nullable: true
        createdAt:
          type: string
          format: date-time
          example: '2023-01-01T00:00:00.000Z'
        updatedAt:
          type: string
          format: date-time
          example: '2023-01-01T00:00:00.000Z'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````